### Method

# RB Encoder encode

#### Declaration [src]

    void
    rb_encoder_encode (
      RBEncoder* encoder,
      RhythmDBEntry* entry,
      const char* dest,
      gboolean overwrite,
      GstEncodingProfile* profile
    )

#### Description [src]

Initiates encoding, transcoding to the specified profile if specified.

Encoding and error reporting takes place asynchronously. The caller should wait for the ‘completed’ signal which indicates it has either completed or failed.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` to transcode.

  The data is owned by the caller of the method.

`dest`

  Type: `const char*`

  Destination file URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`overwrite`

  Type: `gboolean`

  If `TRUE`, overwrite `dest` if it already exists.

`profile`

  Type: `GstEncodingProfile`

  Encoding profile to use, or NULL to just copy.

  The data is owned by the caller of the method.